/**
 * 试验耗材采购关联表相关
 */
import http from '../http'

export default {
  pageApprove: data =>
    http
      .post('/res/v1/chemical_rel_delivery/page_approve_order_id', data)
      .then(res => res),
  rejectPurchase: data =>
    http
      .post(
        '/res/v1/chemical_rel_delivery/reject_' +
          data.id +
          '?remark=' +
          data.remark
      )
      .then(res => res),
  // 耗材出库审批流 --行编辑保存
  applyTempEdit: data =>
    http
      .put('/res/v1/chemical_rel_delivery/' + data.id, data.obj)
      .then(res => res)
}
